=begin
#Platform external API.

#Documentation of our Platform external API.

OpenAPI spec version: 1.0.0

Generated by: https://github.com/swagger-api/swagger-codegen.git
Swagger Codegen version: 3.0.34
=end

require 'spec_helper'
require 'json'

# Unit tests for Shippo::RatesApi
# Automatically generated by swagger-codegen (github.com/swagger-api/swagger-codegen)
# Please update as you see appropriate
describe 'RatesApi' do
  before do
    # run before each test
    @instance = Shippo::RatesApi.new
  end

  after do
    # run after each test
  end

  describe 'test an instance of RatesApi' do
    it 'should create an instance of RatesApi' do
      expect(@instance).to be_instance_of(Shippo::RatesApi)
    end
  end

  # unit tests for list_shipment_rates_cc
  # Retrieve shipment rates in currency
  # Each valid shipment object will automatically trigger the calculation of all available rates. Depending on your shipment data, there may be none, one or multiple rates.  By default, the calculated Rates will return the price in two currencies under the amount and amount_local keys, respectively. The amount key will contain the price of a rate expressed in the currency that is used in the country from which parcel originates, and the amount_local key will contain the price expressed in the currency that is used in the country the parcel is shipped to. You can request rates with prices expressed in a different currency by adding the desired currency code in the end of the resource URL. The full list of supported currencies along with their codes can be viewed on [open exchange rates](http://openexchangerates.org/api/currencies.json).  Note: re-requesting the rates with a different currency code will re-queue the shipment (i.e. set the Shipment&#x27;s status to QUEUED) and the converted currency rates will only be available when the Shipment&#x27;s status is set to SUCCESS.
  # @param merchant_id description: Object ID of the merchant
  # @param currency_code description: ISO currency code for the rates
  # @param shipment_id description: Object ID of the shipment to update
  # @param [Hash] opts the optional parameters
  # @option opts [String] :shippo_api_version description: String used to pick a non-default api version to use
  # @option opts [Integer] :page description: The page number you want to select
  # @option opts [Integer] :results description: The number of results to return per page (max 100)
  # @return [PaginatedRateResponse]
  describe 'list_shipment_rates_cc test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for list_shipment_rates
  # Retrieve shipment rates
  # Gets a paginated list of rates associated with a shipment
  # @param merchant_id description: Object ID of the merchant
  # @param shipment_id description: Object ID of the shipment to update
  # @param [Hash] opts the optional parameters
  # @option opts [String] :shippo_api_version description: String used to pick a non-default api version to use
  # @option opts [Integer] :page description: The page number you want to select
  # @option opts [Integer] :results description: The number of results to return per page (max 100)
  # @return [PaginatedRateResponse]
  describe 'list_shipment_rates test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for get_rate
  # Retrieve a rate
  # Retrieve an existing rate by object id for the merchant
  # @param merchant_id description: Object ID of the merchant
  # @param rate_id description: Object ID of the rate
  # @param [Hash] opts the optional parameters
  # @option opts [String] :shippo_api_version description: String used to pick a non-default api version to use
  # @return [Rate]
  describe 'get_rate test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

end
